source /etc/profile
echo $ROV_OFFLINE_ENV
if [ ! -d "logs_dir" ]; then
    # 如果文件夹不存在，则创建文件夹
    mkdir logs_dir
fi
cur_time="`date +%Y%m%d`"
cur_h="`date +%H`"
echo "开始执行时间:{$cur_time}-{$cur_h}"

if [[ $ROV_OFFLINE_ENV == 'test' ]]; then
  cd /root/zhangbo/rov-offline
  /root/anaconda3/bin/python alg_recsys_recall_24h_noregion.py > "logs_dir/alg_recsys_recall_24h_noregion_{$cur_time}_{$cur_h}.log" &
  /root/anaconda3/bin/python alg_recsys_recall_24h_region.py > "logs_dir/alg_recsys_recall_24h_region_{$cur_time}_{$cur_h}.log"
  wait
  echo "并行执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
  /root/anaconda3/bin/python alg_recsys_recall_1h_region.py '24h' > "logs_dir/alg_recsys_recall_1h_region_{$cur_time}_{$cur_h}.log"
  echo "结束执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
  echo "all done"
elif [[ $ROV_OFFLINE_ENV == 'pro' ]]; then
  cd /root/zhangbo/rov-offline
  /root/anaconda3/bin/python alg_recsys_recall_24h_noregion.py > "logs_dir/alg_recsys_recall_24h_noregion_{$cur_time}_{$cur_h}.log" &
  /root/anaconda3/bin/python alg_recsys_recall_24h_region.py > "logs_dir/alg_recsys_recall_24h_region_{$cur_time}_{$cur_h}.log"
  wait
  echo "并行执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
  /root/anaconda3/bin/python alg_recsys_recall_1h_region.py '24h' > "logs_dir/alg_recsys_recall_1h_region_{$cur_time}_{$cur_h}.log"
  echo "结束执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
  echo "all done"
fi
